<?php

/**
 * Header form class.
 *
 * @author Eugene I. Nehzuta
 */
class RCMS_Form_HeaderForm extends Zend_Form {

    /**
     * Form initialization
     * @see Zend_Form#init()
     */
    public function init()
    {
        $this->setMethod('post');
        $this->setName('headerForm');

        $this->addElement('text', 'headertext', array(
                'id'    =>  'editheader'
        ));

        $this->addElement('submit', 'submit', array(
                'id'        =>  'editheadersubmit',
                'class'     =>  'formsubmit',
                'ignore'    =>  'true',
                'label'     =>  '{%Done%}'
                )
        );

        $this->setElementDecorators(array('ViewHelper',	'Errors'));
    }
}
